> # NAME

> cgGetMatrixParameterOrder - get the row or column order of a matrix parameter

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGenum cgGetMatrixParameterOrder( CGparameter param );

> # PARAMETERS

> param

>   The parameter.

> # RETURN VALUES

> Returns CG_ROW_MAJOR for a row-major matrix parameter.

> Returns CG_COLUMN_MAJOR for a column-major matrix parameter.

> Returns CG_UNKNOWN for a parameter that is not a matrix.

> # DESCRIPTION

> cgGetMatrixParameterOrder returns the row or column order of a matrix parameter.

> The Cg compiler supports #pragma pack_matrix(row_major) or #pragma pack_matrix(column_major) for specifying the order of matrix parameters. Row-major order is the Cg default.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter or param is not a matrix parameter.

> # HISTORY

> cgGetMatrixParameterOrder was introduced in Cg 2.2.

> # SEE ALSO

> cgGetMatrixParameter, cgGetMatrixSize